package com.qmth.teachcloud.common.enums.scan;

public enum OmrField {

    ABSENT("缺考"),

    BREACH("违纪"),

    PAPER_TYPE("试卷类型"),

    SELECTIVE("选做题"),

    QUESTION("题目");

    private String name;

    OmrField(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static OmrField getByName(String name) {
        for (OmrField r : OmrField.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
